Subject: Re: [PATCH 0/4] RFC CPSW switchdev mode

From: Ilias Apalodimas <[email-masked]>
Date: Thu, 24 May 2018 18:07:04 +0300

On Thu, May 24, 2018 at 04:54:41PM +0200, Andrew Lunn wrote:
> If you cannot get an IP address, it is plain broken. The whole idea is
> that switch port interfaces are just linux interfaces. A linux
> interface which cannot get an IP address is broken.
The switch interfaces can get ip addresses just like every linux interface. The
cpu port can't (sw0p0)
> 
> > Similar cases exist for customers on adding MDBs as far as i know. So they want
> > the "customer facing ports" to have the MDBs present but not the cpu port.
> 
> That i can understand. And it should actually work now with
> switchdev. It performs IGMP snooping, and if there is nothing joining
> the group on the CPU, it won't add an MDB entry to forward traffic to
> the CPU.
Yes, but this should be configurable (i.e the customer can deny adding the MDB
on the cpu port)
> 
> > Adding a cpu port that cannot transmit or receive traffic is a bit "weird"
> 
> And how is it supposed to send BPDUs? STP is going to be broken....
Not sure about this, i'll have to check

Regards
Ilias